/*************************** (C) COPYRIGHT 2017 CXHY ****************************
 * 文件名  ：ElectronicLock.c
 * 描  述  ：电子锁控制驱动程序
 * 版  本  ：V1.0
 * 作  者  ：XuZhongPing
 * 日  期  ：2017/05/06 
*********************************************************************************/
#ifndef __ELE_LOCK_H
#define __ELE_LOCK_H
#include "stm32f10x.h"
#include "stdio.h" 

extern uint8_t lockStatus_1;
extern uint8_t lockStatus_2;
extern uint8_t lockStatus_3;
extern uint8_t lockStatus_4;
extern uint8_t lockStatus_5;
extern uint8_t lockStatus_6;

extern uint8_t isUnlockingMark;

void ElectronicLock_Init(void);						//初始化
void Unlock(uint8_t num);
void Locked(uint8_t num);
void ElectronicLockCtrlTask(void);
		 				    
#endif

/******************** (C) COPYRIGHT 2017 CXHY *****END OF FILE*******************/
